For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/threads/get-api-inbox-v1threads-by-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Get Thread

GET
/api/inbox/v1/threads/:id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { thread, threadError } = await reloop.inbox.threads.get("thr_123456789");
6if (threadError) throw threadError;
1{
2 "id": "con_123456789",
3 "mailboxId": "example_mailboxId",
4 "organizationId": "example_organizationId",
5 "subject": "Welcome to Reloop",
6 "lastMessagePreview": "example_lastMessagePreview",
7 "lastMessageAt": "2026-03-23T10:00:00.000Z",
8 "status": "example_status",
9 "messageCount": 0,
10 "participants": [
11 "example_participants"
12 ],
13 "isRead": true,
14 "isStarred": true,
15 "createdAt": "2026-03-23T10:00:00.000Z",
16 "updatedAt": "2026-03-23T10:00:00.000Z",
17 "messages": [
18 {
19 "id": "con_123456789",
20 "threadId": "example_threadId",
21 "direction": "example_direction",
22 "inboundEmailId": "example_inboundEmailId",
23 "emailLogId": "example_emailLogId",
24 "fromEmail": "example_fromEmail",
25 "fromName": "example_fromName",
26 "subject": "Welcome to Reloop",
27 "preview": "example_preview",
28 "messageAt": "2026-03-23T10:00:00.000Z",
29 "rfc822MessageId": "example_rfc822MessageId",
30 "inReplyTo": "example_inReplyTo",
31 "createdAt": "2026-03-23T10:00:00.000Z",
32 "email": {
33 "id": "con_123456789",
34 "fromEmail": "example_fromEmail",
35 "toEmails": [
36 "example_toEmails"
37 ],
38 "subject": "Welcome to Reloop",
39 "textBody": "example_textBody",
40 "htmlBody": "example_htmlBody",
41 "isRead": true,
42 "isStarred": true,
43 "attachments": [
44 {
45 "id": "con_123456789",
46 "inboundEmailId": "example_inboundEmailId",
47 "filename": "example_filename",
48 "contentType": "example_contentType",
49 "size": 0,
50 "storagePath": "example_storagePath",
51 "contentDisposition": "example_contentDisposition",
52 "contentId": "example_contentId",
53 "createdAt": "2026-03-23T10:00:00.000Z"
54 }
55 ],
56 "createdAt": "2026-03-23T10:00:00.000Z"
57 }
58 }
59 ]
60}

Path Parameters

idstringRequired

Thread ID

Was this page helpful?